
CC = gcc
CFLAGS_DB = -g
CFLAGS = -Wall -O3 
LLIBS =  -lm 
EXE = nbo2txt

OBJS = $(patsubst %.c,%.o,$(wildcard *.c))

#----------
$(EXE): $(OBJS)
	$(CC) $(LLIBS) $(OBJS)  -o $(EXE)

#----------

$(OBJS): %.o : %.c
	$(CC) $(CFLAGS) -c $<
	
#----------

clean:
	rm -f *.o *.*~ *~ all_files.debug core $(EXE)

